### A free/open-source library for quantitative finance

Classes
ql/pricingengines/inflation/inflationcapfloorengines.hpp File Reference

Inflation cap/floor engines. More...

`#include <ql/instruments/inflationcapfloor.hpp>`
`#include <ql/termstructures/volatility/inflation/yoyinflationoptionletvolatilitystructure.hpp>`
`#include <ql/option.hpp>`
Include dependency graph for inflationcapfloorengines.hpp:

## Classes

class | YoYInflationCapFloorEngine
| Base YoY inflation cap/floor engine. More...
class | YoYInflationBlackCapFloorEngine
| Black-formula inflation cap/floor engine (standalone, i.e. no coupon pricer) More...
class | YoYInflationUnitDisplacedBlackCapFloorEngine
| Unit Displaced Black-formula inflation cap/floor engine (standalone, i.e. no coupon pricer) More...
class | YoYInflationBachelierCapFloorEngine
| Unit Displaced Black-formula inflation cap/floor engine (standalone, i.e. no coupon pricer) More...

## Detailed Description

Inflation cap/floor engines.